Subject: categories: Re: graphics package

From: Vaughan Pratt <[email-masked]>
Date: Sat, 21 Feb 2004 08:18:30 -0800

>Anyone have a recommendation for a software package that makes it easy
>to draw the equivalent of flow chart?
>with boxes, triangles, circles as junctions??

For this and many similar applications (Hasse diagrams, one-off characters
like inverted ampersand, etc.), Latex's picture environment is a remarkably
expressive language, permitting a self-contained library of macros for
drawing circuits to be implemented in 20 noncomment lines.  See

    http://boole.stanford.edu/pub/sumprod.pdf
    http://boole.stanford.edu/pub/TEX/sumprod.tex

for the circuit realization of sum and tensor product in chu(Set,2),
which appeared in http://boole.stanford.edu/pub/gates.pdf (FOCS'93 Palo
Alto)
and http://boole.stanford.edu/pub/bud.pdf (TEMPUS'94 Budapest).

Vaughan Pratt